/*

*/
//---------------------------------------------------------------------
//       
//---------------------------------------------------------------------
class CSymbol
{
  public:
              CSymbol(void);
             ~CSymbol(void);
    datetime  FirstDateServer(void);
    datetime  FirstDateTerminal(void);
    datetime  FirstDateRAM(ENUM_TIMEFRAMES period=PERIOD_M1);

  protected:
    string  symbol;
};
//---------------------------------------------------------------------
//   
//---------------------------------------------------------------------
void CSymbol::CSymbol(void):symbol(Symbol())
{
}
//---------------------------------------------------------------------
// 
//---------------------------------------------------------------------
void CSymbol::~CSymbol(void)
{
}
//---------------------------------------------------------------------
//        
//---------------------------------------------------------------------
datetime CSymbol::FirstDateServer(void)
{
  datetime time=0;
  while(!IsStopped())
  {
    if(SeriesInfoInteger(symbol,0,SERIES_SERVER_FIRSTDATE,time)) {break;} else {Sleep(1);}
  }
  return(time);
}
//---------------------------------------------------------------------
//        
//---------------------------------------------------------------------
datetime CSymbol::FirstDateTerminal(void)
{
  datetime time=0;
  while(!IsStopped())
  {
    if(SeriesInfoInteger(symbol,0,SERIES_TERMINAL_FIRSTDATE,time)) {break;} else {Sleep(1);}
  }
  return(time);
}
//---------------------------------------------------------------------
//      -  
//---------------------------------------------------------------------
datetime CSymbol::FirstDateRAM(ENUM_TIMEFRAMES period=PERIOD_M1)
{
  datetime time=0;
  while(!IsStopped())
  {
    if(SeriesInfoInteger(symbol,period,SERIES_FIRSTDATE,time)) {break;} else {Sleep(1);}
  }
  return(time);
}
